<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
require_once('modules/Campaigns/utils.php');
require_once('clients/base/api/ModuleApi.php');
require_once('modules/Leads/clients/base/api/LeadsApi.php');

class eTrigueLeadsApi extends LeadsApi {
    public function registerApiRest() {
        return array(
            'create' => array(
                'reqType' => 'POST',
                'path' => array('eTrigue','Leads'),
                'pathVars' => array('eTrigue','module'),
                'method' => 'createRecords',
                'shortHelp' => 'This method creates multiple new Lead records with option to add Target & Email relationships',
                'longHelp' => 'custom/modules/Leads/clients/base/api/help/etrigue_leads_record_create_multiple_help.html',
            ),
        );
    }

    /**
     * Create the lead record and optionally perform post-save actions for Convert Target & Lead from Email cases
     */
    public function createRecords($api, $args) {
        //$GLOBALS['log']->fatal('CreateRecord function is called');
        //$GLOBALS['log']->fatal($args);
        //$GLOBALS['log']->fatal(count ($args['data']));
            foreach($args['data'] as $k=>$val){
                $arguments = $args;
                foreach ($args['data'][$k]  as $key=>$value){
                    $arguments[$key] = $value;
                }   
                $data_array[] = parent::createRecord($api, $arguments);             
            }
        //$GLOBALS['log']->fatal($data_array);
        return $data_array; 
    }
}
